----------------------------------------------------------------------------------------------------
--   OCO Source Materials
--
--   Licensed Materials - Property of IBM
--
--   5724-C02
--
--   (C) Copyright IBM Corp. 2003  All Rights Reserved.
--
--   US Government Users Restricted Rights - Use, duplication or
--   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
----------------------------------------------------------------------------------------------------
--    File Information: %W%
--    Revision: %I%
--    Date: %G% %U%
----------------------------------------------------------------------------------------------------

--#iftag fixpack_5

---------
--- Host
---------

--#IGNORE_ERROR
DROP VIEW BWM.VE_HOST;

--#IGNORE_ERROR
DROP VIEW BWM.VD_HOST;

--------------------
---  APP
--------------------

--#IGNORE_ERROR
DROP VIEW BWM.VE_APP;

--------------------
---  TX
--------------------

--#IGNORE_ERROR
DROP VIEW BWM.VE_TX;

--#IGNORE_ERROR
DROP VIEW BWM.VD_TX;

--------------------
---  TX_ND
--------------------

--#IGNORE_ERROR
DROP TABLE BWM.STG_TX_ND_MET;

--#IGNORE_ERROR
DROP VIEW BWM.VE_TX_ND_MET;

--#IGNORE_ERROR
DROP VIEW BWM.VD_TX_ND_MET;

--#IGNORE_ERROR
DROP VIEW BWM.VE_TX_ND;

--#IGNORE_ERROR
DROP VIEW BWM.VE_STG_TX_ND_HR;

--------------------
---  BWM.COMP_LONG
--------------------
--#IGNORE_ERROR
DROP VIEW BWM.VE_COMP_NAME_LONG;

--#IGNORE_ERROR
DROP VIEW BWM.VD_COMP_NAME_LONG;

--#IGNORE_ERROR
DROP TABLE BWM.COMP_NAME_LONG;

--------------------
--- COMP_ATTR_LONG
--------------------
--#IGNORE_ERROR
DROP VIEW BWM.VE_COMP_ATTR_LONG;
--#IGNORE_ERROR

DROP VIEW BWM.VD_COMP_ATTR_LONG;

--#IGNORE_ERROR
DROP TABLE BWM.COMP_ATTR_LONG;

--#IGNORE_ERROR
DROP TABLE bwm.centr_lookup;

--#IGNORE_ERROR
DROP TABLE bwm.cust_lookup;



-------------------------------------------------------------------------------
-- drop the staging table in twh_cdw for host
-------------------------------------------------------------------------------
--#IGNORE_ERROR
DROP TABLE BWM.STAGE_HOST;

-------------------------------------------------------------------------------
-- drop the staging table in twh_cdw for applications
-------------------------------------------------------------------------------
--#IGNORE_ERROR
DROP TABLE BWM.STAGE_APPLICATION;

-------------------------------------------------------------------------------
-- drop the staging table in twh_cdw for users
-------------------------------------------------------------------------------
--#IGNORE_ERROR
DROP TABLE BWM.STAGE_USER
;

-------------------------------------------------------------------------------
-- drop the staging table in twh_cdw for transactions
-------------------------------------------------------------------------------
--#IGNORE_ERROR
DROP TABLE BWM.STAGE_TRANSACTION
;

-------------------------------------------------------------------------------
-- drop the staging table in twh_cdw for transactional node
-------------------------------------------------------------------------------
--#IGNORE_ERROR
DROP TABLE BWM.STAGE_NODE
;

-------------------------------------------------------------------------------
-- drop the staging table in twh_cdw for the relation map
-------------------------------------------------------------------------------
--#EXECUTE_AT_TARGET
--#IGNORE_ERROR
DROP TABLE BWM.STAGE_RELATIONMAP
;


-------------------------------------------------------------------------------
-- drop the staging table in twh_cdw for aggregate data
-------------------------------------------------------------------------------
--#IGNORE_ERROR
DROP TABLE BWM.STAGE_AGGREG_DATA
;

-------------------------------------------------------------------------------
-- drop the staging table in twh_cdw for management policy
-------------------------------------------------------------------------------
--#IGNORE_ERROR
DROP TABLE BWM.STAGE_MGMTPOLICY
;

-------------------------------------------------------------------------------
-- drop the staging table in twh_cdw for pattern transaction
-------------------------------------------------------------------------------
--#IGNORE_ERROR
DROP TABLE BWM.STAGE_PATTERN
;

-------------------------------------------------------------------------------
-- drop the staging table in twh_cdw for Threshold
-------------------------------------------------------------------------------
--#IGNORE_ERROR
DROP TABLE BWM.STAGE_THRESHOLD
;

-------------------------------------------------------------------------------
-- drop the staging table in twh_cdw for Trigger Response
-------------------------------------------------------------------------------
--#IGNORE_ERROR
DROP TABLE BWM.STAGE_TR
;

--#IGNORE_ERROR
DROP SEQUENCE BWM.THR_MSMT_ID_SEQ RESTRICT
;

--#endtag fixpack_5
