-------------------------------------------------------------------------------
--   OCO Source Materials
--
--   Licensed Materials - Property of IBM
--
--   5724-C02
--
--   (C) Copyright IBM Corp. 2003  All Rights Reserved.
--
--   US Government Users Restricted Rights - Use, duplication or
--   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
-------------------------------------------------------------------------------
--    File Information: %W%
--    Revision: %I%
--    Date: %G% %U%
-------------------------------------------------------------------------------


----------------------
-- BWM_TX_NODE
---------------------

--#EXECUTE_AT_TARGET
--#IGNORE_ERROR
DROP TABLE BWM.STG_TX_ND_HR;

--#EXECUTE_AT_TARGET
CREATE TABLE BWM.STG_TX_ND_HR(
    CDW_ID INTEGER NOT NULL,
    MSMT_ID BIGINT NOT NULL,
    ORIG_TX_ND_ID INTEGER NOT NULL,
    ORIG_TX_ID INTEGER NOT NULL,
    ORIG_APP_ID INTEGER NOT NULL,
    ORIG_HOST_ID INTEGER NOT NULL,
    ORIG_METRIC_ID INTEGER NOT NULL,
    MEAS_HOUR TIMESTAMP NOT NULL,
    MIN_VALUE DOUBLE,
    MAX_VALUE DOUBLE,
    AVG_VALUE DOUBLE,
    TOTAL_VALUE DOUBLE,
    SAMPLE_COUNT BIGINT,
    ERROR_COUNT BIGINT,
    PRIMARY KEY (ORIG_TX_ND_ID,ORIG_TX_ID,ORIG_APP_ID,
     ORIG_HOST_ID,ORIG_METRIC_ID,CDW_ID,MEAS_HOUR)
    );

--#EXECUTE_AT_TARGET
--#IGNORE_ERROR
DROP TABLE BWM.STG1_TX_ND_HR;

--#EXECUTE_AT_TARGET
CREATE TABLE BWM.STG1_TX_ND_HR(
    CDW_ID INTEGER NOT NULL,
    ORIG_TX_ND_ID INTEGER NOT NULL,
    ORIG_TX_ID INTEGER NOT NULL,
    ORIG_APP_ID INTEGER NOT NULL,
    ORIG_HOST_ID INTEGER NOT NULL,
    ORIG_METRIC_ID INTEGER NOT NULL,
    MEAS_HOUR TIMESTAMP NOT NULL,
    MIN_VALUE DOUBLE,
    MAX_VALUE DOUBLE,
    AVG_VALUE DOUBLE,
    TOTAL_VALUE DOUBLE,
    SAMPLE_COUNT BIGINT,
    ERROR_COUNT BIGINT,
    PRIMARY KEY (ORIG_TX_ND_ID,ORIG_TX_ID,ORIG_APP_ID,
     ORIG_HOST_ID,ORIG_METRIC_ID,CDW_ID,MEAS_HOUR)
    );

--#EXECUTE_AT_TARGET
--#IGNORE_ERROR
DROP TABLE BWM.STG2_TX_ND_HR;

--#EXECUTE_AT_TARGET
CREATE TABLE BWM.STG2_TX_ND_HR(
    CDW_ID INTEGER NOT NULL,
    ORIG_TX_ND_ID INTEGER NOT NULL,
    ORIG_TX_ID INTEGER NOT NULL,
    ORIG_APP_ID INTEGER NOT NULL,
    ORIG_HOST_ID INTEGER NOT NULL,
    ORIG_METRIC_ID INTEGER NOT NULL,
    MEAS_HOUR TIMESTAMP NOT NULL,
    MIN_VALUE DOUBLE,
    MAX_VALUE DOUBLE,
    AVG_VALUE DOUBLE,
    TOTAL_VALUE DOUBLE,
    SAMPLE_COUNT BIGINT,
    ERROR_COUNT BIGINT,
    PRIMARY KEY (ORIG_TX_ND_ID,ORIG_TX_ID,ORIG_APP_ID,
     ORIG_HOST_ID,ORIG_METRIC_ID,CDW_ID,MEAS_HOUR)
    );
