----------------------------------------------------------------------------------------------------
--   OCO Source Materials
--
--   Licensed Materials - Property of IBM
--
--   5724-C02
--
--   (C) Copyright IBM Corp. 2003  All Rights Reserved.
--
--   US Government Users Restricted Rights - Use, duplication or
--   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
----------------------------------------------------------------------------------------------------
--    File Information: %W%
--    Revision: %I%
--    Date: %G% %U%
----------------------------------------------------------------------------------------------------

--#iftag fixpack_5

-------------------------------------------------------------------------------
-- Purpose: This sql script is used to drop the tables of the data mart schema
-------------------------------------------------------------------------------

-------------------------------------------------------------------------------
-- drop Prune Mart Table
-------------------------------------------------------------------------------
--#IGNORE_ERROR
DROP TABLE BWM.PRUNE_MART_CONTROL;

-------------------------------------------------------------------------------
-- drop Prune Logging Table
-------------------------------------------------------------------------------
--#IGNORE_ERROR
DROP TABLE BWM.PRUNE_MART_LOG;

-------------------------------------------------------------------------------
-- Drop measurement hour fact table for all metrics against the Transaction
-- Node
-------------------------------------------------------------------------------
--#IGNORE_ERROR
DROP TABLE BWM.F_TX_ND_HOUR;

-------------------------------------------------------------------------------
-- Drop measurement day fact table for all metrics against the Transaction
-- Node
-------------------------------------------------------------------------------
--#IGNORE_ERROR
DROP TABLE BWM.F_TX_ND_DAY;

-------------------------------------------------------------------------------
-- Drop measurement week fact table for all metrics against the Transaction
-- Node
-------------------------------------------------------------------------------
--#IGNORE_ERROR
DROP TABLE BWM.F_TX_ND_WEEK;

-------------------------------------------------------------------------------
-- Drop measurement month fact table for all metrics against the Transaction
-- Node
-------------------------------------------------------------------------------
--#IGNORE_ERROR
DROP TABLE BWM.F_TX_ND_MONTH;

-------------------------------------------------------------------------------
-- Drop measurement staging fact table for all metrics against the Transaction
-- Node
-------------------------------------------------------------------------------
--#IGNORE_ERROR
DROP TABLE BWM.STG_TX_ND_HR;
--#IGNORE_ERROR
DROP TABLE BWM.STG1_TX_ND_HR;
--#IGNORE_ERROR
DROP TABLE BWM.STG2_TX_ND_HR;

-------------------------------------------------------------------------------
-- Drop Transaction Node metric dimension Table
-------------------------------------------------------------------------------
--#IGNORE_ERROR
DROP TABLE BWM.D_TX_ND_METRIC;

-------------------------------------------------------------------------------
-- Drop Transaction Node  metric translation table
-------------------------------------------------------------------------------
--#IGNORE_ERROR
DROP TABLE BWM.T_TX_ND_METRIC;

-------------------------------------------------------------------------------
-- Drop Transaction Node  metric trigger
-------------------------------------------------------------------------------
--#IGNORE_ERROR
DROP TRIGGER BWM.TX_ND_METRIC_IL;


-------------------------------------------------------------------------------
-- Drop Transaction Node metric sequence
-------------------------------------------------------------------------------
--#IGNORE_ERROR
DROP SEQUENCE BWM.TX_ND_METRIC_ID_SEQ RESTRICT;

-------------------------------------------------------------------------------
-- Drop Host dimension Table
-------------------------------------------------------------------------------
--#IGNORE_ERROR
DROP TABLE BWM.D_HOST;

-------------------------------------------------------------------------------
-- Drop Host translation table
-------------------------------------------------------------------------------
--#IGNORE_ERROR
DROP TABLE BWM.T_HOST;


------------------------------------------------------------------------------
-- Drop Host trigger
-------------------------------------------------------------------------------
--#IGNORE_ERROR
DROP TRIGGER BWM.HOST_IL;

-------------------------------------------------------------------------------
-- Drop Host sequence
-------------------------------------------------------------------------------
--#IGNORE_ERROR
DROP SEQUENCE BWM.HOST_ID_SEQ RESTRICT;

-------------------------------------------------------------------------------
-- Drop Application dimension Table
-------------------------------------------------------------------------------
--#IGNORE_ERROR
DROP TABLE BWM.D_APP;


-------------------------------------------------------------------------------
-- Drop Application translation table
-------------------------------------------------------------------------------
--#IGNORE_ERROR
DROP TABLE BWM.T_APP;

-------------------------------------------------------------------------------
-- Drop Application trigger
-------------------------------------------------------------------------------
--#IGNORE_ERROR
DROP TRIGGER BWM.APP_IL;

-------------------------------------------------------------------------------
-- Drop Application sequence
-------------------------------------------------------------------------------
--#IGNORE_ERROR
DROP SEQUENCE BWM.APP_ID_SEQ RESTRICT;

-------------------------------------------------------------------------------
-- Drop Transaction dimension Table
-------------------------------------------------------------------------------
--#IGNORE_ERROR
DROP TABLE BWM.D_TX;

-------------------------------------------------------------------------------
-- Drop Transaction translation table
-------------------------------------------------------------------------------
--#IGNORE_ERROR
DROP TABLE BWM.T_TX;

-------------------------------------------------------------------------------
-- Drop Transaction trigger
-------------------------------------------------------------------------------
--#IGNORE_ERROR
DROP TRIGGER BWM.TX_IL;

-------------------------------------------------------------------------------
-- Drop Transaction translation table
-------------------------------------------------------------------------------
--#IGNORE_ERROR
DROP SEQUENCE BWM.TX_ID_SEQ RESTRICT;

-------------------------------------------------------------------------------
-- Drop Transaction Node dimension Table
-------------------------------------------------------------------------------
--#IGNORE_ERROR
DROP TABLE BWM.D_TX_ND;


-------------------------------------------------------------------------------
-- Drop Transaction Node translation table
-------------------------------------------------------------------------------
--#IGNORE_ERROR
DROP TABLE BWM.T_TX_ND;

-------------------------------------------------------------------------------
-- Drop Transaction Node trigger
-------------------------------------------------------------------------------
--#IGNORE_ERROR
DROP TRIGGER BWM.TX_ND_IL;


-------------------------------------------------------------------------------
-- Drop Transaction Node sequence
-------------------------------------------------------------------------------
--#IGNORE_ERROR
DROP SEQUENCE BWM.TX_ND_ID_SEQ RESTRICT;

-------------------------------------------------------------------------------
-- Drop Component Long table
-------------------------------------------------------------------------------
--#IGNORE_ERROR
DROP TABLE BWM.COMP_NAME_LONG;


-------------------------------------------------------------------------------
-- Drop Component Attribute Long
-------------------------------------------------------------------------------
--#IGNORE_ERROR
DROP TABLE BWM.COMP_ATTR_LONG;

-------------------------------------------------------------------------------
-- Drop MSMT_ID Sequence
-------------------------------------------------------------------------------
--#IGNORE_ERROR
DROP SEQUENCE BWM.STG_MSMT_ID_SEQ RESTRICT;

--#endtag fixpack_5
