-------------------------------------------------------------------------------
--   OCO Source Materials
--
--   Licensed Materials - Property of IBM
--
--   5724-C02
--
--   (C) Copyright IBM Corp. 2003  All Rights Reserved.
--
--   US Government Users Restricted Rights - Use, duplication or
--   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
-------------------------------------------------------------------------------
--   File Information: src/ReportUI/tedw/tedw_apps_etl/bwm/pkg/v510/misc/tools/bwm_reset_etl1_extract_window.sql, tp_tedw, ReportUI_52
--   Revision: 1.1
--   Date: 7/2/03 14:55:01
-------------------------------------------------------------------------------


-- Reset the Extract_control window for  BWM
-- WARNING !!: This should only be used to restart from scratch the Extract Control
-- window for the BWM_c10_CDW_Process
-- If you want to reset the window to the last extract, use the extract_log to get the
-- last values of each BWM extracts


UPDATE TWG.EXTRACT_CONTROL SET EXTCTL_TO_INTSEQ=-1 WHERE EXTCTL_SOURCE='HOST' and EXTCTL_TARGET LIKE 'BWM%';
UPDATE TWG.EXTRACT_CONTROL SET EXTCTL_TO_INTSEQ=-1 WHERE EXTCTL_SOURCE='APPLICATION' and EXTCTL_TARGET LIKE 'BWM%';
UPDATE TWG.EXTRACT_CONTROL SET EXTCTL_TO_INTSEQ=-1 WHERE EXTCTL_SOURCE='ARM_USER' and EXTCTL_TARGET LIKE 'BWM%';
UPDATE TWG.EXTRACT_CONTROL SET EXTCTL_TO_INTSEQ=-1 WHERE EXTCTL_SOURCE='TRANSACTION' and EXTCTL_TARGET LIKE 'BWM%';
UPDATE TWG.EXTRACT_CONTROL SET EXTCTL_TO_INTSEQ=-1 WHERE EXTCTL_SOURCE='NODE' and EXTCTL_TARGET LIKE 'BWM%';
UPDATE TWG.EXTRACT_CONTROL SET EXTCTL_TO_INTSEQ=-1 WHERE EXTCTL_SOURCE='RELATIONMAP' and EXTCTL_TARGET LIKE 'BWM%';
UPDATE TWG.EXTRACT_CONTROL SET EXTCTL_TO_INTSEQ=-1 WHERE EXTCTL_SOURCE='AGGREGATEDATA' and EXTCTL_TARGET LIKE 'BWM%';
UPDATE TWG.EXTRACT_CONTROL SET EXTCTL_TO_INTSEQ=-1 WHERE EXTCTL_SOURCE='MANAGEMENTPOLICY' and EXTCTL_TARGET LIKE 'BWM%';
UPDATE TWG.EXTRACT_CONTROL SET EXTCTL_TO_INTSEQ=-1 WHERE EXTCTL_SOURCE='PATTERNTRANSACTION' and EXTCTL_TARGET LIKE 'BWM%';
UPDATE TWG.EXTRACT_CONTROL SET EXTCTL_TO_INTSEQ=-1 WHERE EXTCTL_SOURCE='THRESHOLD' and EXTCTL_TARGET LIKE 'BWM%';
UPDATE TWG.EXTRACT_CONTROL SET EXTCTL_TO_INTSEQ=-1 WHERE EXTCTL_SOURCE='TR' and EXTCTL_TARGET LIKE 'BWM%';

UPDATE TWG.EXTRACT_CONTROL SET EXTCTL_FROM_INTSEQ=-1 WHERE EXTCTL_SOURCE='HOST' and EXTCTL_TARGET LIKE 'BWM%';
UPDATE TWG.EXTRACT_CONTROL SET EXTCTL_FROM_INTSEQ=-1 WHERE EXTCTL_SOURCE='APPLICATION' and EXTCTL_TARGET LIKE 'BWM%';
UPDATE TWG.EXTRACT_CONTROL SET EXTCTL_FROM_INTSEQ=-1 WHERE EXTCTL_SOURCE='ARM_USER' and EXTCTL_TARGET LIKE 'BWM%';
UPDATE TWG.EXTRACT_CONTROL SET EXTCTL_FROM_INTSEQ=-1 WHERE EXTCTL_SOURCE='TRANSACTION' and EXTCTL_TARGET LIKE 'BWM%';
UPDATE TWG.EXTRACT_CONTROL SET EXTCTL_FROM_INTSEQ=-1 WHERE EXTCTL_SOURCE='NODE' and EXTCTL_TARGET LIKE 'BWM%';
UPDATE TWG.EXTRACT_CONTROL SET EXTCTL_FROM_INTSEQ=-1 WHERE EXTCTL_SOURCE='RELATIONMAP' and EXTCTL_TARGET LIKE 'BWM%';
UPDATE TWG.EXTRACT_CONTROL SET EXTCTL_FROM_INTSEQ=-1 WHERE EXTCTL_SOURCE='AGGREGATEDATA' and EXTCTL_TARGET LIKE 'BWM%';
UPDATE TWG.EXTRACT_CONTROL SET EXTCTL_FROM_INTSEQ=-1 WHERE EXTCTL_SOURCE='MANAGEMENTPOLICY' and EXTCTL_TARGET LIKE 'BWM%';
UPDATE TWG.EXTRACT_CONTROL SET EXTCTL_FROM_INTSEQ=-1 WHERE EXTCTL_SOURCE='PATTERNTRANSACTION' and EXTCTL_TARGET LIKE 'BWM%';
UPDATE TWG.EXTRACT_CONTROL SET EXTCTL_FROM_INTSEQ=-1 WHERE EXTCTL_SOURCE='THRESHOLD' and EXTCTL_TARGET LIKE 'BWM%';
UPDATE TWG.EXTRACT_CONTROL SET EXTCTL_FROM_INTSEQ=-1 WHERE EXTCTL_SOURCE='TR' and EXTCTL_TARGET LIKE 'BWM%';

